package com.bocloud.cmp.provider.agile.sfc;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.sfc.AgileSfcTemplateModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: SfcTemplateProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 15:13
 */
public interface SfcTemplateProvider extends SuperProvider {
    default BocloudResult<List<AgileSfcTemplateModel>> list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult<AgileSfcTemplateModel> create(AgileSfcTemplateModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcTemplateModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileSfcTemplateModel> modify(AgileSfcTemplateModel model) {
        return new BocloudResult<>(false, "need implement");
    }
}